Update a Milestone (By ID)
Request
PATCH
https://api.sourcecraft.tech/milestones/id:{milestone_id}
Path parameters
|
Name |
Description |
|
milestone_id |
Type: string Example: `` |
Query parameters
|
Name |
Description |
|
silent |
Type: boolean |
Body
application/json
{
"name": "example",
"slug": "example",
"description": "example",
"start_date": "2025-01-01T00:00:00Z",
"deadline": "2025-01-01T00:00:00Z",
"status": "open"
}
|
Name |
Description |
|
deadline |
Type: string<date-time> Example: |
|
description |
Type: string Example: |
|
name |
Type: string Example: |
|
slug |
Type: string Example: |
|
start_date |
Type: string<date-time> Example: |
|
status |
Type: Milestone.Status Enum: |
Milestone.Status
Type: string
Enum: open, closed
Responses
200 OK
A successful response.
Body
application/json
{
"id": "example",
"name": "example",
"slug": "example",
"description": "example",
"start_date": "2025-01-01T00:00:00Z",
"deadline": "2025-01-01T00:00:00Z",
"status": "open",
"author": {
"id": "example",
"slug": "example"
},
"updated_by": null,
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-01T00:00:00Z"
}
|
Name |
Description |
|
author |
Type: UserEmbedded Example
|
|
created_at |
Type: string<date-time> Example: |
|
deadline |
Type: string<date-time> Example: |
|
description |
Type: string Example: |
|
id |
Type: string Example: |
|
name |
Type: string Example: |
|
slug |
Type: string Example: |
|
start_date |
Type: string<date-time> Example: |
|
status |
Type: Milestone.Status Enum: |
|
updated_at |
Type: string<date-time> Example: |
|
updated_by |
Type: UserEmbedded Example
|
UserEmbedded
|
Name |
Description |
|
id |
Type: string Example: |
|
slug |
Type: string Example: |
Example
{
"id": "example",
"slug": "example"
}
default
Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme
Body
application/json
{
"error_code": "example",
"message": "example",
"request_id": "example",
"details": {}
}
|
Name |
Description |
||
|
details |
Type: Optional details. Exact structure depends on error_code
Example
|
||
|
error_code |
Type: string Example: |
||
|
message |
Type: string Example: |
||
|
request_id |
Type: string Example: |